Subject: Re: Sodolite

From: [email-masked] (Sunnyway)
Date: 13 May 1995 20:33:55 -0400

I find sodolite is comforting. I usually carry sodalite and sugelite, and
kyanite to keep me calm and grounded. I usually handle them before doing a
psychic reading, so that I can be focused on receiving. I'll often give
the querrant sodolite or kyanite to hold during the reading, too. 
Ingrid Halvorsen
[email-masked]
Ingrid Halvorsen
[email-masked]